;проверка адресво в названиях товаров для рынка доставок.
;  младший байт адреса не должен быть равным 0

;	IFDEF	Russian

	LUA	PASS3

	error = 0

	if _c("Menu.crProd_01")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_02+5")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_03")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_04")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_06")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_07")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_09")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_0A+7")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_0B")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_0C")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_0D")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_0E")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_0F")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_12")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_13")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_16+8")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_18")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_19")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_1C+11")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_1E+7")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_1F+6")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_21+8")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_23")%256 == 0 then
	  error = error + 1
	end
	if error == 0 then
	  print("Ошибок в списке товаров для доставки нет")
	else
	  print("В списке товаров для доставки есть ошибки")
	end

	ENDLUA
/*
	ELSE

	LUA	PASS3

	error = 0

	if _c("Menu.crProd_01")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_03")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_05")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_06")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_07")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_08")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_09")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_0A")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_0C")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_0E")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_0F")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_12")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_08")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_18")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_19")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_1A")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_1F+5")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_20")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_22")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_23")%256 == 0 then
	  error = error + 1
	end
	if _c("Menu.crProd_25")%256 == 0 then
	  error = error + 1
	end
	if error == 0 then
	  print("Ошибок в списке товаров для доставки нет")
	else
	  print("В списке товаров для доставки есть ошибки")
	end

	ENDLUA

	ENDIF
*/